> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/report-data/logging/instabug-logs.md).

# Luciq Debug Logs

Luciq provides useful console logs to have visibility over significant events that might be of interest.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
Luciq.sdkDebugLogsLevel = .verbose
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
Luciq.sdkDebugLogsLevel = LCQSDKDebugLogsLevelVerbose;
```

{% endtab %}

{% tab title="And - Java" %}

```java
Luciq.setSdkDebugLogsLevel(LogLevel.VERBOSE);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Luciq.setSdkDebugLogsLevel(LogLevel.VERBOSE)
```

{% endtab %}
{% endtabs %}

The available levels are:

* **`None`:** this will disable all APM SDK console logs.
* **`Error`:** prints errors only, we use this level to let you know if something goes wrong.
* **`Warning`:** displays warnings that will not necessarily lead to errors but should be addressed nonetheless.
* **`Info`:** this is the default level and it logs information that we think is useful without being too verbose.
* **`Debug`:** use this in case you are debugging an issue. Not recommended for production use.
* **`Verbose`:** use this only if `Debug` was not enough and you need more visibility on what is going on under the hood. Similar to the `Debug` level, this is not meant to be used on production environments.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/report-data/logging/instabug-logs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
